[PATCH 4/5] perf-test: add memory test for reply

David Bremner david at tethera.net
Sun May 21 05:48:20 PDT 2017


Looking at the code for notmuch-reply, there seems to be several gmime
related memory leaks. This test is supposed to help eliminate those.
---
 performance-test/M04-reply.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 performance-test/M04-reply.sh

diff --git a/performance-test/M04-reply.sh b/performance-test/M04-reply.sh
new file mode 100755
index 00000000..ca8a899b
--- /dev/null
+++ b/performance-test/M04-reply.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+for id in $(notmuch search --output=messages '*' | shuf -n 5); do
+    memory_run "reply $id" "notmuch reply $id 1>/dev/null"
+    memory_run "reply --format=json $id" "notmuch reply --format=json $id 1>/dev/null"
+    memory_run "reply --format=sexp $id" "notmuch reply --format=sexp $id 1>/dev/null"
+done
+
+memory_done
-- 
2.11.0



More information about the notmuch mailing list